/*
 *  WeaponBoomerang.h
 *  Knightmare
 *
 *  Created by Santi Ontañón on 11/13/09.
 *  Copyright 2009 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef WEAPON_BOOMERANG_H_
#define WEAPON_BOOMERANG_H_

#include "Weapon.h"
#include "KPlayer.h"
#include "GLTManager.h"

class WeaponBoomerang : public Weapon {
public:
	WeaponBoomerang(int x,int y,int sfx_volume,GLTManager *GLTM, KPlayer *owner);
	virtual ~WeaponBoomerang();
	
    virtual bool cycle(List<class VirtualController> *vcl, class Knightmare *game, class GLTManager *GLTM, SFXManager *SFXM);
	
    virtual bool is_a(Symbol *c);
    virtual bool is_a(char *c);
	
};

#endif /* WEAPON_BOOMERANG_H_ */
